input[type="text"]:focus {
	box-shadow: none;
    border: 2px solid #78be79 !important;
    outline: 0.375rem solid rgba(108, 184, 106, .3) !important;
    outline-offset: 0;
}

/* Cart style */
#cart .club-announcement {
    background-color: #dce9d5;
    padding-block: 1rem;
    padding-inline: 1rem;
    margin-block: 0 1rem;
	margin-inline: 1rem;
    border-radius: 1rem;
}
@media screen and (min-width: 768px) {
	#cart .club-announcement {
		margin-inline: 0;
		padding-inline: 2rem;
	}
}
@media screen and (min-width: 1024px) {
	#cart .club-announcement {
		margin-block: 1rem;
	}
}
#cart .club-announcement p {
	margin: 0;
}

#cart .continue-shopping {
    display: flex;
    align-items: center;
    justify-content: end;
	padding-block: .75rem 0;
}

#cart .button-standard {
	padding-inline: 1.5rem;
	text-align: center;
}

#cart .button-standard.button-standard--outline,
#checkout .button-standard.button-standard--outline {
	font-weight: 600;
    max-width: 45%;
}

#cart .button-standard.button-standard--green.button-standard--disabled {
	width: 100%;
}

.block-promo {
    border-top: 1px solid #ddd;
    padding-block: 1rem;
}

.block-promo .promo-code {
	padding-block: 1rem;
}

.block-promo .promo-name .cart-summary-line span {
	color: #528a71
}

#cart .promo-code form,
#checkout .promo-code form {
    display: flex;
    align-items: center;
    justify-content: space-between;
	gap: 1rem;
}

#cart .block-promo .promo-input,
#checkout .block-promo .promo-input {
    width: 100%;
	border-width: 2px;
    border-radius: 1.5rem;
    text-align: center;
    letter-spacing: .5px;
}

#cart .product-line-grid {
    display: flex;
	flex-wrap: wrap;
    align-items: center;
    justify-content: center;
	flex-direction: column;
	gap: 1rem;
	transition: .3s all;
}

@media screen and (min-width: 768px) {
	#cart .product-line-grid {
		flex-wrap: nowrap;
		align-items: flex-start;
		justify-content: space-between;
		flex-direction: row;
		gap: 1.5rem;
	}
}
@media screen and (min-width: 1024px) {
	#cart .product-line-grid {
		gap: 2rem;
	}
}

#cart li.cart-item {
	padding: 1.5rem 0;
}

#cart li.cart-item:not(:last-child) {
    border-bottom: 1px solid #eee;
}

#cart .cart-grid-body .cart-overview {
	padding-inline: 0;
}

#cart .bootstrap-touchspin input.form-control {
    float: none;
    width: 100%;
    text-align: center;
	position: relative;
}

#cart .input-group.bootstrap-touchspin {
    display: flex;
    align-items: center;
    justify-content: space-between;
	position: relative;
}

#cart .bootstrap-touchspin .input-group-btn-vertical {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 1rem;
    width: 100%;
	height: 100%;
	float: none;
    z-index: 3;
}

#cart .bootstrap-touchspin .input-group-btn-vertical .bootstrap-touchspin-up,
#cart .bootstrap-touchspin .input-group-btn-vertical .bootstrap-touchspin-down {
	position: relative;
	width: 25px;
    height: 25px;
    border-radius: 50%;
    margin: 0;
    padding: 0;
    border: none;
	background-color: transparent;
	display: flex;
    align-items: center;
    justify-content: center;
}

#cart .bootstrap-touchspin .input-group-btn-vertical .bootstrap-touchspin-up {
    left: calc(100% - 30px);
}

#cart .bootstrap-touchspin .input-group-btn-vertical .bootstrap-touchspin-down {
    left: calc(-100% + 30px);
}

/* #cart .bootstrap-touchspin, */
#cart .product-line-grid-body i.material-icons {
    top: unset !important;
    left: unset !important;
    display: block;
	position: relative;
}

#cart .product-line-grid-body {
    display: flex;
	align-items: center;
    justify-content: center;
    flex-direction: column;
    flex-wrap: nowrap;
    gap: 1rem;
	width: 100%;
}

@media screen and (min-width: 478px) {
	#cart .product-line-grid-body {
		gap: 1.25rem;
	}
}

@media screen and (min-width: 768px) {
	#cart .product-line-grid-body {
		align-items: flex-start;
		gap: 1.5rem;
	}
}

#cart .product-image {
    position: relative;
}

#cart .product-line-info.product-price {
	margin: 0;
	width: 100%;
}
@media screen and (min-width: 768px) {
	#cart .product-line-info.product-price {
		width: auto;
	}
}

#cart .current-price {
    width: 100%;
    text-align: center;
}

@media screen and (min-width: 768px) {
	#cart .product-line-details {
		width: 60%;
	}
}

#cart .product-image img {
	min-width: 80px;
	max-width: 130px;
	transition: .3s all;
}
@media screen and (min-width: 768px) {
	#cart .product-image img {
		max-width: 150px;
	}
}
@media screen and (min-width: 1024px) {
	#cart .product-image img {
		max-width: 180px;
	}
}

#cart .cart-page {
    width: 100%;
    max-width: 1600px !important;
    padding-inline: 1rem !important;
}
@media screen and (min-width: 1024px) {
	#cart .cart-page {
		padding-inline: 2rem !important;
	}
}

#cart .product-line-grid-right .cart-line-product-actions {
	line-height: 0;
}

#cart .product-line-grid-right .cart-line-product-actions .remove-from-cart {
	margin: 0;
}

#cart .icon-trash,
#checkout .icon-trash {
    font-size: 125%;
    color: #808080;
}

#cart .product-line-grid-right.product-line-actions {
    display: flex;
	align-items: center;
    justify-content: center;
	flex-direction: column;
    gap: 1rem;
	width: 100%;
}

#cart .product-line-grid-right.product-line-actions:not(.display-desktop) {
	padding-block: 0.5rem;
}

@media screen and (min-width: 768px) {
	#cart .product-line-grid-right.product-line-actions:not(.display-desktop) {
		padding-block: 1.5rem;
	}
}

@media screen and (min-width: 478px) {
	#cart .product-line-grid-right.product-line-actions {
		flex-direction: row;
		gap: 1.5rem;
	}
}

@media screen and (min-width: 768px) {
	#cart .product-line-grid-right.product-line-actions {
		align-items: flex-start;
		justify-content: flex-start;
		width: auto;
		min-width: 200px;
		margin-left: auto;
	}
}

#cart .product-line-grid-right .price {
	width: auto;
}

#cart .price .product-price strong {
    display: flex;
    align-items: center;
    gap: .5rem;
}
@media screen and (min-width: 768px) and (max-width: 1280px) {
	#cart .price .product-price strong {
		flex-wrap: wrap;
	}
}

@media screen and (min-width: 1024px) {
	.card.cart-summary {
		padding-inline: 2rem 0;
		padding-top: 1rem;
	}
}

#cart #cart-subtotal-products {
    padding-block: 1rem;
    border-bottom: 1px solid #ddd;
}
@media screen and (min-width: 1024px) {
	#cart #cart-subtotal-products {
		padding-top: 0;
	}
}

#cart .price .product-price {
	line-height: 1.2;
}

#cart .button-standard span {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: row;
}

#cart .cart-grid-body .card-block h1,
#cart .description-law {
	margin: 0;
}

@media screen and (min-width: 768px) {
	#cart .qty {
		display: flex;
		justify-content: center;
		align-items: center;
	}
}
/* !Cart style */
/* Checkout */
.button-standard.button-standard--green.continue {
	width: 100% !important;
    padding-inline: 2.5em !important;
    padding-block: .5em !important;
	order: 2;
}
@media screen and (min-width: 768px) {
	.button-standard.button-standard--green.continue {
		width: auto !important;
	}
}

#checkout-addresses-step .content {
    padding: 0;
}

#checkout section.checkout-step #delivery-addresses,
#checkout section.checkout-step #invoice-addresses {
	display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    margin: 0;
    padding-block: 1rem;
}

#checkout section.checkout-step #delivery-addresses .address p,
#checkout section.checkout-step #invoice-addresses .address p {
	margin: 0;
	padding-block: .125rem;
}

#checkout section.checkout-step .address-footer {
	display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
	padding: 1rem;
}

.address-footer a,
#checkout section.checkout-step .delete-address,
#checkout section.checkout-step .edit-address {
	/* padding: .325rem 1.5rem; */
    padding: .5rem 1.5rem;
	margin: 0 !important;
    border-color: #6a768c;
	transition: .3s all;
}

#checkout section.checkout-step .delete-address:hover,
#checkout section.checkout-step .edit-address:hover {
	color: #fff !important;
	outline: 0.375rem solid #6a768c4d !important;
    outline-offset: 0;
}

#checkout section.checkout-step .address-item {
	width: 100%;
}
@media screen and (min-width: 768px) {
	#checkout section.checkout-step .address-item {
		width: 49%;
	}
}

.js-address-form {
    padding-block: 1rem;
}

input.form-control:focus,
select.form-control:focus {
    outline: .25rem solid #d3ead2 !important;
	border: 2px solid #78be79 !important;
}

#checkout .form-group.row {
	float: unset;
}

@media screen and (min-width: 768px) {
	#checkout #customer-form div:nth-child(1) {
		display: flex;
		align-items: flex-start;
		justify-content: space-between;
		flex-wrap: wrap;
		gap: 1rem;
		position: relative;
	}

	#checkout #customer-form div:nth-child(1) .form-group.row:first-of-type  {
		width: 100%;
	}

	#checkout #customer-form .form-group.row,
	#checkout #customer-form .field-password-policy {
		float: unset;
    	width: calc(50% - 1rem);
	}

	#checkout #customer-form .field-password-policy .js-parent-focus {
		flex-direction: row;
		flex-wrap: nowrap;
		align-items: center;
	}

	#checkout #customer-form .field-password-policy .form-group.row {
		gap: 0;
	}

	#checkout #customer-form .form-group.row:has(> .poledodatkowe), #checkout #customer-form .form-group.row:has(> .poledodatkowe3) {
		width: 100%;
		float: none;
		display: block;
		flex: 100%;
	}

	#checkout #customer-form .form-group.row:has(> .poledodatkowe2) {
		display: flex;
		flex-direction: column;
		width: 100%;
		padding-inline: 2rem;
	}

	#checkout .form-group.row div.poledodatkowe, #checkout .form-group.row div.poledodatkowe3 {
		width: calc(100% - 100px) !important;
	}

	#checkout #login-form .form-group {
		display: flex;
		align-items: center;
	}
}

#checkout-personal-information-step .content .identity,
#checkout-personal-information-step .content .identity-logout,
#checkout-personal-information-step .content .identity-info {
    padding-block: .5rem;
	margin: 0;
}

#checkout-personal-information-step .content .identity-container {
    padding-block: 1rem;
}

.delivery-option.checked,
.payment-option-card.checked {
	border: 2px solid #6cb86a;
	outline: .375rem solid rgba(108, 184, 106, .3) !important;
    outline-offset: 0;
}

.promo-code__headline {
    padding-bottom: .75rem;
}

.block-promo .promo-name .cart-summary-line span.label {
    color: #6c7680;
    font-weight: 500;
}

.promo-name .cart-summary-line:not(:last-child) {
    margin-bottom: .25rem !important;
}


.pay-methods .pay-methods__item-inner:hover,
.pay-methods .payMethodActive .pay-methods__item-inner {
    border: 1px solid #6cb86a;
    outline: .375rem solid rgba(108, 184, 106, .3) !important;
    outline-offset: 0;
}

#checkout-addresses-step #delivery-address section.form-fields,
#checkout-addresses-step #invoice-address section.form-fields {
    display: grid;
}
@media screen and (min-width: 768px) {
	#checkout-addresses-step #delivery-address section.form-fields,
	#checkout-addresses-step #invoice-address section.form-fields {
		grid-template-columns: 1fr 1fr;
	}
}

#checkout-addresses-step #delivery-address label.col-md-3.form-control-label,
#checkout-addresses-step #invoice-address label.col-md-3.form-control-label {
    width: 100%;
}

#checkout-addresses-step .address-footer a.text-muted:focus,
#checkout-addresses-step .address-footer a.text-muted:hover {
	color: #fff !important;
}
#payment-confirmation .button-standard.button-standard--green.disabled {
	padding-block: .75em !important;
}

#regulamin .terms-and-conditions-container ol li {
	list-style-type: auto;
}
#regulamin .terms-and-conditions-container ul li {
	list-style-type: disc;
}

#regulamin .terms-and-conditions-container p,
#regulamin .terms-and-conditions-container h2,
#regulamin .terms-and-conditions-container ol li,
#regulamin .terms-and-conditions-container > div > ol > li:has(h2)::marker {
	color: #333;
}
/* !Checkout */